# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'setting_groundstations.ui'
#
# Created by: PyQt5 UI code generator 5.6
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_Setting_GroundStations(object):
    def setupUi(self, Setting_GroundStations):
        Setting_GroundStations.setObjectName("Setting_GroundStations")
        Setting_GroundStations.setWindowModality(QtCore.Qt.NonModal)
        Setting_GroundStations.resize(385, 571)
        self.groupBox = QtWidgets.QGroupBox(Setting_GroundStations)
        self.groupBox.setGeometry(QtCore.QRect(10, 0, 361, 121))
        self.groupBox.setObjectName("groupBox")
        self.gridLayoutWidget_2 = QtWidgets.QWidget(self.groupBox)
        self.gridLayoutWidget_2.setGeometry(QtCore.QRect(10, 20, 341, 81))
        self.gridLayoutWidget_2.setObjectName("gridLayoutWidget_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.gridLayoutWidget_2)
        self.gridLayout_2.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.CB_Inter_out = QtWidgets.QCheckBox(self.gridLayoutWidget_2)
        self.CB_Inter_out.setText("")
        self.CB_Inter_out.setObjectName("CB_Inter_out")
        self.gridLayout_2.addWidget(self.CB_Inter_out, 1, 1, 2, 1, QtCore.Qt.AlignRight)
        self.label = QtWidgets.QLabel(self.gridLayoutWidget_2)
        self.label.setObjectName("label")
        self.gridLayout_2.addWidget(self.label, 1, 0, 2, 1)
        self.line_output_location = QtWidgets.QLineEdit(self.gridLayoutWidget_2)
        self.line_output_location.setObjectName("line_output_location")
        self.gridLayout_2.addWidget(self.line_output_location, 4, 0, 1, 1)
        self.PB_output_location = QtWidgets.QPushButton(self.gridLayoutWidget_2)
        self.PB_output_location.setObjectName("PB_output_location")
        self.gridLayout_2.addWidget(self.PB_output_location, 4, 1, 1, 1)
        self.label_6 = QtWidgets.QLabel(self.gridLayoutWidget_2)
        self.label_6.setObjectName("label_6")
        self.gridLayout_2.addWidget(self.label_6, 3, 0, 1, 2)
        self.groupBox_2 = QtWidgets.QGroupBox(Setting_GroundStations)
        self.groupBox_2.setGeometry(QtCore.QRect(10, 130, 361, 241))
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayoutWidget = QtWidgets.QWidget(self.groupBox_2)
        self.gridLayoutWidget.setGeometry(QtCore.QRect(10, 30, 341, 194))
        self.gridLayoutWidget.setObjectName("gridLayoutWidget")
        self.gridLayout = QtWidgets.QGridLayout(self.gridLayoutWidget)
        self.gridLayout.setContentsMargins(0, 0, 0, 0)
        self.gridLayout.setObjectName("gridLayout")
        self.label_8 = QtWidgets.QLabel(self.gridLayoutWidget)
        self.label_8.setObjectName("label_8")
        self.gridLayout.addWidget(self.label_8, 3, 0, 1, 1)
        self.label_3 = QtWidgets.QLabel(self.gridLayoutWidget)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 2, 0, 1, 1)
        self.line_lat = QtWidgets.QDoubleSpinBox(self.gridLayoutWidget)
        self.line_lat.setDecimals(5)
        self.line_lat.setMinimum(-90.0)
        self.line_lat.setMaximum(90.0)
        self.line_lat.setObjectName("line_lat")
        self.gridLayout.addWidget(self.line_lat, 4, 2, 1, 1)
        self.combobox_body = QtWidgets.QComboBox(self.gridLayoutWidget)
        self.combobox_body.setObjectName("combobox_body")
        self.combobox_body.addItem("")
        self.combobox_body.addItem("")
        self.combobox_body.addItem("")
        self.gridLayout.addWidget(self.combobox_body, 5, 2, 1, 1)
        self.label_9 = QtWidgets.QLabel(self.gridLayoutWidget)
        self.label_9.setObjectName("label_9")
        self.gridLayout.addWidget(self.label_9, 4, 0, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.gridLayoutWidget)
        self.label_10.setObjectName("label_10")
        self.gridLayout.addWidget(self.label_10, 5, 0, 1, 1)
        self.line_alt = QtWidgets.QDoubleSpinBox(self.gridLayoutWidget)
        self.line_alt.setDecimals(5)
        self.line_alt.setMinimum(-1000.0)
        self.line_alt.setMaximum(20000.0)
        self.line_alt.setObjectName("line_alt")
        self.gridLayout.addWidget(self.line_alt, 2, 2, 1, 1)
        self.line_lon = QtWidgets.QDoubleSpinBox(self.gridLayoutWidget)
        self.line_lon.setDecimals(5)
        self.line_lon.setMinimum(-360.0)
        self.line_lon.setMaximum(360.0)
        self.line_lon.setObjectName("line_lon")
        self.gridLayout.addWidget(self.line_lon, 3, 2, 1, 1)
        self.line_elev = QtWidgets.QDoubleSpinBox(self.gridLayoutWidget)
        self.line_elev.setDecimals(5)
        self.line_elev.setMaximum(90.0)
        self.line_elev.setObjectName("line_elev")
        self.gridLayout.addWidget(self.line_elev, 1, 2, 1, 1)
        self.label_5 = QtWidgets.QLabel(self.gridLayoutWidget)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 1, 0, 1, 1)
        self.line_GS_name = QtWidgets.QLineEdit(self.gridLayoutWidget)
        self.line_GS_name.setObjectName("line_GS_name")
        self.gridLayout.addWidget(self.line_GS_name, 0, 2, 1, 1)
        self.label_2 = QtWidgets.QLabel(self.gridLayoutWidget)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.groupBox_3 = QtWidgets.QGroupBox(Setting_GroundStations)
        self.groupBox_3.setGeometry(QtCore.QRect(10, 380, 371, 181))
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayoutWidget_3 = QtWidgets.QWidget(self.groupBox_3)
        self.gridLayoutWidget_3.setGeometry(QtCore.QRect(10, 30, 341, 146))
        self.gridLayoutWidget_3.setObjectName("gridLayoutWidget_3")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.gridLayoutWidget_3)
        self.gridLayout_3.setContentsMargins(0, 0, 0, 0)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.PB_add = QtWidgets.QPushButton(self.gridLayoutWidget_3)
        self.PB_add.setObjectName("PB_add")
        self.gridLayout_3.addWidget(self.PB_add, 0, 0, 1, 1)
        self.PB_OK = QtWidgets.QPushButton(self.gridLayoutWidget_3)
        self.PB_OK.setObjectName("PB_OK")
        self.gridLayout_3.addWidget(self.PB_OK, 2, 0, 1, 1)
        self.PB_cancel = QtWidgets.QPushButton(self.gridLayoutWidget_3)
        self.PB_cancel.setObjectName("PB_cancel")
        self.gridLayout_3.addWidget(self.PB_cancel, 2, 1, 1, 1)
        self.PB_clearAll = QtWidgets.QPushButton(self.gridLayoutWidget_3)
        self.PB_clearAll.setObjectName("PB_clearAll")
        self.gridLayout_3.addWidget(self.PB_clearAll, 2, 2, 1, 1)
        self.PB_rem = QtWidgets.QPushButton(self.gridLayoutWidget_3)
        self.PB_rem.setObjectName("PB_rem")
        self.gridLayout_3.addWidget(self.PB_rem, 0, 2, 1, 1)
        self.list_GS = QtWidgets.QListWidget(self.gridLayoutWidget_3)
        self.list_GS.setObjectName("list_GS")
        self.gridLayout_3.addWidget(self.list_GS, 1, 0, 1, 3)

        self.retranslateUi(Setting_GroundStations)
        QtCore.QMetaObject.connectSlotsByName(Setting_GroundStations)

    def retranslateUi(self, Setting_GroundStations):
        _translate = QtCore.QCoreApplication.translate
        Setting_GroundStations.setWindowTitle(
            _translate("Setting_GroundStations", "Ground Station")
        )
        self.groupBox.setTitle(_translate("Setting_GroundStations", "outputs:"))
        self.label.setText(
            _translate("Setting_GroundStations", "Produce intervisibility outputs:  ")
        )
        self.PB_output_location.setText(_translate("Setting_GroundStations", "Change"))
        self.label_6.setText(_translate("Setting_GroundStations", "Output location:"))
        self.groupBox_2.setTitle(_translate("Setting_GroundStations", "Parameters:"))
        self.label_8.setText(_translate("Setting_GroundStations", "longitude (deg):"))
        self.label_3.setText(_translate("Setting_GroundStations", "altitude (m):"))
        self.combobox_body.setItemText(0, _translate("Setting_GroundStations", "Earth"))
        self.combobox_body.setItemText(1, _translate("Setting_GroundStations", "Mars"))
        self.combobox_body.setItemText(2, _translate("Setting_GroundStations", "Moon"))
        self.label_9.setText(_translate("Setting_GroundStations", "latitude (deg):"))
        self.label_10.setText(_translate("Setting_GroundStations", "body :"))
        self.label_5.setText(
            _translate("Setting_GroundStations", "min elevation (deg):")
        )
        self.label_2.setText(_translate("Setting_GroundStations", "name :"))
        self.groupBox_3.setTitle(
            _translate("Setting_GroundStations", "Ground Stations:")
        )
        self.PB_add.setText(_translate("Setting_GroundStations", "add"))
        self.PB_OK.setText(_translate("Setting_GroundStations", "OK"))
        self.PB_cancel.setText(_translate("Setting_GroundStations", "Cancel"))
        self.PB_clearAll.setText(_translate("Setting_GroundStations", "Clear all"))
        self.PB_rem.setText(_translate("Setting_GroundStations", "remove"))


if __name__ == "__main__":
    import sys

    app = QtWidgets.QApplication(sys.argv)
    Setting_GroundStations = QtWidgets.QDialog()
    ui = Ui_Setting_GroundStations()
    ui.setupUi(Setting_GroundStations)
    Setting_GroundStations.show()
    sys.exit(app.exec_())
